import boto3
import os
import sys
import uuid
from PIL import Image
import PIL.Image

s3_client = boto3.client('s3')

limit_replate = "#@$#"


def resize_image(image_path, resized_path):
    with Image.open(image_path) as image:
        image.thumbnail((345, 345))
        image.save(resized_path)


def handler(event, context):
    for record in event['Records']:
        bucket = record['s3']['bucket']['name']
        key = record['s3']['object']['key']
        download_path = '/tmp/{}'.format(key.replace('/', limit_replate))
        upload_path = '/tmp/resize-{}'.format(key.replace('/', limit_replate))

        s3_client.download_file(bucket, key, download_path)
        resize_image(download_path, upload_path)
        s3_client.upload_file(upload_path, bucket, upload_path.replace(limit_replate, '/').lstrip('/'))
